headless lms

An event's attendance figures

GET /api/events/{eventId}/analytics. An event's attendance figures. Headless LMS Events API reference.

GET
/api/events/{eventId}/analytics

Requires events:read. On the event or the org. The attendees now and by source, the capacity, the revoked direct grants, and the current direct grants by grant date before the start.

Path Parameters

eventId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/events/string/analytics"
{  "attendees": 0,  "capacity": -9007199254740991,  "bySource": {    "self": 0,    "manual": 0,    "automation": 0,    "bundle": 0  },  "revoked": 0,  "grantsOverTime": [    {      "date": "string",      "count": 0    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}